%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		airspy
Summary:	An advanced Software Defined Radio project
Version:	1.0.9
Release:	%mkrel 1
# License for tools is GPL, libraries are MIT/BSD
License:	GPLv2+ and MIT and BSD
Group:		Communications/Radio
URL:		http://airspy.com/
Source0:	https://github.com/%{name}/host/archive/v%{version}/host-%{version}.tar.gz
Patch:		airspy-1.0.8-mga-udev.rules.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb)

%description
Host software for AirSpy, a project to produce a low cost, open source software
radio platform.

%package -n %{libname}
Summary:	Library files for airspy
Requires:	%{name} = %{version}-%{release} 

%description -n %{libname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides the dynamic library files.

%package -n %{devname}
Summary:	Development files for airspy
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides development files.

%prep
%setup -q -n host-%{version}
%autopatch -p1

%build
%cmake -DINSTALL_UDEV_RULES=ON
%make

%install
%make_install -C build

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/52-%{name}.rules %{buildroot}%{_udevrulesdir}/52-%{name}.rules

find %{buildroot} -name "*.a" -delete

%files
%{_udevrulesdir}/52-%{name}.rules
%{_bindir}/%{name}_*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}/*.h


%changelog
* Wed Sep 28 2016 barjac <barjac> 1.0.9-1.mga6
+ Revision: 1057484
- new release 1.0.9
- fix source0 so sync -d really works
- use %%make_install -C build

* Fri Jul 15 2016 barjac <barjac> 1.0.8-2.mga6
+ Revision: 1042175
- Fix for Mga#18948 (airspy specified group plugdev unknown

* Mon Apr 25 2016 barjac <barjac> 1.0.8-1.mga6
+ Revision: 1006086
- new version 1.0.8
- fix source0

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 09 2015 barjac <barjac> 1.0.7-1.mga6
+ Revision: 909205
- new version 1.0.7
- removed path hack fixed upstream

* Wed Aug 26 2015 barjac <barjac> 1.0.6-1.mga6
+ Revision: 870052
- new version 1.0.6

* Thu Jan 15 2015 barjac <barjac> 1.0.3-1.mga5
+ Revision: 810881
- Import new package based on suse/fedora spec with thanks

